# Class AdminLogApi

#### Hierarchy (View Summary)

- JBaseApi
  - AdminLogApi

- Defined in jamespot-user-api/src/apis/admin/logs.ts:6

##### Index

### Constructors

constructor

### Properties

jApi
network

### Methods

getLogsNavigation
getLogsObjects
getLogsSearch

## Constructors

### constructor

- new AdminLogApi(jApi: JamespotUserApi): AdminLogApi

  #### Parameters

  - jApi: JamespotUserApi

  #### Returns AdminLogApi

  Inherited from JBaseApi.constructor

  - Defined in jamespot-user-api/src/apis/base.ts:8

## Properties

### jApi

jApi: JamespotUserApi

Inherited from JBaseApi.jApi

- Defined in jamespot-user-api/src/apis/base.ts:5

### network

network: Network

Inherited from JBaseApi.network

- Defined in jamespot-user-api/src/apis/base.ts:6

## Methods

### getLogsNavigation

- getLogsNavigation(
  params: ListQueryParameters,
  signal?: AbortSignal,
  ): Promise<ApiWrapper<PagingResults<AdminLogNavigation>, BaseMessages>>

  #### Parameters

  - params: ListQueryParameters
  - `Optional` signal: AbortSignal

  #### Returns Promise<ApiWrapper<PagingResults<AdminLogNavigation>, BaseMessages>>

  - Defined in jamespot-user-api/src/apis/admin/logs.ts:7

### getLogsObjects

- getLogsObjects(
  params: ListQueryParameters,
  signal?: AbortSignal,
  ): Promise<ApiWrapper<PagingResults<AdminLogObject>, BaseMessages>>

  #### Parameters

  - params: ListQueryParameters
  - `Optional` signal: AbortSignal

  #### Returns Promise<ApiWrapper<PagingResults<AdminLogObject>, BaseMessages>>

  - Defined in jamespot-user-api/src/apis/admin/logs.ts:18

### getLogsSearch

- getLogsSearch(
  params: ListQueryParameters,
  signal?: AbortSignal,
  ): Promise<ApiWrapper<PagingResults<AdminLogSearch>, BaseMessages>>

  #### Parameters

  - params: ListQueryParameters
  - `Optional` signal: AbortSignal

  #### Returns Promise<ApiWrapper<PagingResults<AdminLogSearch>, BaseMessages>>

  - Defined in jamespot-user-api/src/apis/admin/logs.ts:29